Bug 467610 - RFE: Add sbin in $PATH environment
RFE: Add sbin in $PATH environment
Status: CLOSED DUPLICATE of bug 467605
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Roman Rakus
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 07:47 EDT by secubie
Modified: 2014-01-12 19:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 04:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description secubie 2008-10-19 07:47:30 EDT
Description of problem:
Omitting system binary path is a type of "security through obscurity". In most cases, this method of security is not hard to defeat. Not including sbin dir will not make a system more secure. When a normal user wants to execute a file within that directory, if he has permission, all he has to do is to add prefix /sbin to the execute file name. I believe it is never a good idea to secure a system though obscurity. In this case, let the permission handle the authorisation. If you do not want a normal user execute a system binary file, chmod it properly.

Version-Release number of selected component (if applicable):
current version
Comment 1 Radek Bíba 2008-10-20 04:05:04 EDT

*** This bug has been marked as a duplicate of bug 467605 ***

Note You need to log in before you can comment on or make changes to this bug.